Arch: Unisci Pareti

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch MergeWalls and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch CloseHoles.svg Chiudi i fori Pagina precedente:
Pagina successiva: Ispeziona Arch Check.svg Arrow-right.svg

Arch MergeWalls.svg Unisci Pareti

Posizione nel menu
Arch → Utilità → Unisci Pareti
Ambiente
Arch
Avvio veloce
Introdotto nella versione
-
Vedere anche
Parete


Descrizione

Lo strumento Unisci pareti fonde due o più Pareti selezionate.

Utilizzo

  1. Selezionare due o più muri.
  2. Andare nel menu Arch → Utilità → Arch MergeWalls.svg Unisci pareti.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

base = joinWalls(walls, delete=False)

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])
Arrow-left.svg Arch CloseHoles.svg Chiudi i fori Pagina precedente:
Pagina successiva: Ispeziona Arch Check.svg Arrow-right.svg